summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/local.mk1
-rwxr-xr-xtests/misc/help-version.sh6
2 files changed, 1 insertions, 6 deletions
diff --git a/tests/local.mk b/tests/local.mk
index 9be197025..607ddc4d9 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -77,7 +77,6 @@ TESTS_ENVIRONMENT = \
EGREP='$(EGREP)' \
EXEEXT='$(EXEEXT)' \
MAKE=$(MAKE) \
- PACKAGE_BUGREPORT='$(PACKAGE_BUGREPORT)' \
PACKAGE_VERSION=$(PACKAGE_VERSION) \
PERL='$(PERL)' \
PREFERABLY_POSIX_SHELL='$(PREFERABLY_POSIX_SHELL)' \
diff --git a/tests/misc/help-version.sh b/tests/misc/help-version.sh
index 00f30cd02..1a79488f4 100755
--- a/tests/misc/help-version.sh
+++ b/tests/misc/help-version.sh
@@ -87,13 +87,9 @@ for lang in C fr da; do
test $i = install && i=ginstall
# Make sure they exit successfully, under normal conditions.
- env $i --help > h-$i || fail=1
+ env $i --help >/dev/null || fail=1
env $i --version >/dev/null || fail=1
- # Make sure they mention the bug-reporting address in --help output.
- grep "$PACKAGE_BUGREPORT" h-$i > /dev/null || fail=1
- rm -f h-$i
-
# Make sure they fail upon 'disk full' error.
if test -w /dev/full && test -c /dev/full; then
env $i --help >/dev/full 2>/dev/null && fail=1